﻿using System;
using System.Drawing;
using System.Runtime.InteropServices;

namespace DrawOnScreen
{
  class Program
  {
    [DllImport("user32")]
    static extern IntPtr GetDesktopWindow();

    [DllImport("user32")]
    static extern IntPtr GetDCEx(IntPtr hwnd, IntPtr hrgn, uint flags);
        
    private static Graphics g;
    private static Random random = new Random();

    static void Main()
    {
      int x = 300, x1 = 600, x2 = 300, x3 = 600;
      int y = 200, y1 = 200, y2 = 400, y3 = 400;
            
      IntPtr hdc = GetDCEx(GetDesktopWindow(), IntPtr.Zero, 1027);
      g = Graphics.FromHdc(hdc);

      while (true)
      {
        go(Brushes.Red, ref x, ref y);
        go(Brushes.Blue, ref x1, ref y1);
        go(Brushes.Green, ref x2, ref y2);
        go(Brushes.Yellow, ref x3, ref y3);
      }
    }

    static void go(Brush b, ref int x, ref int y)
    {
      switch (random.Next() % 4)
      {
        case 0:
          x += 1;
          break;

        case 1:
          y += 1;
          break;

        case 2:
          x -= 1;
          break;

        case 3:
          y -= 1;
          break;
      }

      g.FillEllipse(b, x, y, 10, 10);
    }
  }
}